package com.lightinit.hsdatashow.service.admin;

import com.lightinit.hsdatashow.entity.GarbageTreatment;
import com.lightinit.hsdatashow.model.admin.GarbageRegionResultModel;
import com.lightinit.hsdatashow.model.admin.GarbageTrendResultModel;
import com.lightinit.hsdatashow.model.admin.GarbagedangerTrendResultModel;

import java.math.BigDecimal;

public interface IGarbageServer {
    GarbageTreatment getGarbageTreatment();

    GarbageRegionResultModel getGarbageRegion();

    BigDecimal getGarbagedangerRegion();

    GarbageTrendResultModel getGarbageTrend();

    GarbagedangerTrendResultModel getGarbagedangerTrend();
}
